import React from 'react';
import { render, screen } from '@testing-library/react';
import '@testing-library/jest-dom';
import Compare from './Compare';
const firstChild = (React.createElement("div", null,
    React.createElement("h1", null, "Child 1")));
const secondChild = (React.createElement("div", null,
    React.createElement("h1", null, "Child 2")));
describe('Compare', () => {
    it('should render compare correctly', () => {
        render(React.createElement(Compare, { firstChildDisplayName: "Child 1", secondChildDisplayName: "Child 2", firstChild: firstChild, secondChild: secondChild }));
        expect(screen.getByRole('heading', { name: /Child 1/i })).toBeTruthy();
        expect(screen.getByRole('heading', { name: /Child 2/i })).toBeTruthy();
    });
});
